Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class RegexExpression

Represents a regular expression of the form ~ which creates a regular expression.

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`Expression` | `string`

Constructor Summary
`RegexExpression(Expression string)`

Method Summary
`Expression` | `getRegex()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### RegexExpression

    public RegexExpression(Expression string)

Method Detail

### getRegex

    public Expression getRegex()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)